#
#	File:		PPCCVars.make
#
#	Contains:	Build variables for PPCC compiler
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#

DumpFileSize = 9400

# ----------------------------------------------------------------------
# Compiler
# ----------------------------------------------------------------------

CPlus = PPCC

LoadOptions = 

DumpOptions = 

SymOption = -sym on

OptimizationOption = -opt off

InlineStringsOption = -b3

AlignmentOption = -align mac68k

GOptions = 	-d ODDebug=0						
			-d _PLATFORM_MACINTOSH_=1			
			-shared_lib_export on				
			-export_list {targDir}{default}.x	
			{OptimizationOption}				
			{InlineStringOption}				
			{AlignmentOption}					
			{SymOption}							
			 -appleext on						
			 -nestcom							
			 -w conformance

COptions = {GOptions} -dialect ansic

CPlusOptions = {GOptions} -dialect cplus

# ----------------------------------------------------------------------
# Linker
# ----------------------------------------------------------------------

PPCLinkOptions = {SymOption}

PPCLinkShLibOptions = -xm s

# ----------------------------------------------------------------------
# Post Processing
# ----------------------------------------------------------------------

MakeSym = MakeSym

MakeSymOptions = -i : -r	#-sym on

MergeFragmentOptions = -c -x

MergeFragment68KOption = -t pwpc

MergeFragmentShLibOptions = {MergeFragment68KOption}

