#
#	File:		Variables.make
#
#	Contains:	Build variables for PPCC compiler
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#

# ----------------------------------------------------------------

SourceDir =  	{SampleCodeProjectDir}Source:
somSourceDir =  {SampleCodeProjectDir}_SOM_:
RsrcObjectsDir = {SampleCodeProjectDir}Objects:
TargetDir =  	{SampleCodeProjectDir}

ODCppIntfDir =		{OpenDocDir}Interfaces:CPlusPlus:
ODCIntfDir =		{OpenDocDir}Interfaces:C:
ODHandMadeIntfDir =	{OpenDocDir}Interfaces:HandMade:
ODIDLIntfDir =		{OpenDocDir}Interfaces:IDL:
ODRezIntfDir =		{OpenDocDir}Interfaces:Rez:
ODUtilsIntfDir =	{OpenDocDir}OpenDoc Utilities:Interfaces:
ODUtilsImplDir =	{OpenDocDir}OpenDoc Utilities:Implementation:

ODCFMLibrariesDir =		{OpenDocDir}Libraries:PEF:
ODXCOFFLibrariesDir =	{OpenDocDir}Libraries:XCOFF:

# ----------------------------------------------------------------

ODCplusIntf =	-i "{ODHandMadeIntfDir}" 	
				-i "{ODCppIntfDir}" 		
				-i "{ODUtilsIntfDir}"
				
ODRezIntf =		-i "{ODHandMadeIntfDir}" 	
				-i "{ODCppIntfDir}" 		
				-i "{ODCIntfDir}" 			
				-i "{ODRezIntfDir}"

ODCIntf =		-i "{ODHandMadeIntfDir}" 	
				-i "{ODCIntfDir}"	 		
				-i "{ODUtilsIntfDir}" 

ODIDLIntf = 	-I "{ODIDLIntfDir}"

# ----------------------------------------------------------------

XCOFFRenameOptions = 
		-libRename QuickDrawGXLib.xcoff=QuickDrawGXLib

DefaultSharedLibs = 
		"{SharedLibraries}"somlib 			
		"{SharedLibraries}"InterfaceLib		
		"{SharedLibraries}"DragLib			
		"{SharedLibraries}"StdCLib			
		"{SharedLibraries}"AppleScriptLib
		
Default68kPostLibs = 
		{DefaultSharedLibs}						
		"{CFM68KLibraries}"NuMacRuntime.o		
		"{CFM68KLibraries}"NuRTLib.o			
		"{CFM68KLibraries}"NuMathLib.o 			
		"{CFM68KLibraries}"NuToolLibs.o			
		"{SharedLibraries}"QuickDrawGXLib.slb	
		-weaklib QuickDrawGXLib

DefaultPPCPreLibs = 

DefaultPPCPostLibs = 
		{DefaultSharedLibs}						
		"{SharedLibraries}"MathLib 				
		"{PPCLibraries}"StdCRuntime.o			
		"{PPCLibraries}"PPCCRuntime.o			
		"{PPCLibraries}"PPCToolLibs.o			
		"{PPCLibraries}"QuickDrawGXLib.xcoff	
		-weakLib QuickDrawGXLib					
		{XCOFFRenameOptions}

# ----------------------------------------------------------------

SOMCOptions = -other "-S 100000"

SOMCEmitCPPOptions = -m cpluscpp

